package main

import (
	"fiber-mongo-api/configs"
	"fiber-mongo-api/routes" //add this

	"github.com/gofiber/fiber/v2"
	"github.com/gofiber/fiber/v2/middleware/cors"
)

func main() {
	app := fiber.New()
	app.Use(cors.New(
		cors.Config{
			AllowOrigins: "*",
			AllowHeaders: "Origin, Content-Type, Accept",
		},
	))

	//initial
	app.Get("/", func(c *fiber.Ctx) error {
		return c.JSON(fiber.Map{
			"Project": "UBU Science Entry Event", "Framework": "ExpressJS", "Interpreter": "NodeJS", "API Version": "Alpha 1.0.0",
		})
	})

	//run database
	configs.ConnectDB()

	//routes
	routes.MenuRoute(app) //add this
	routes.CategoryRoute(app)

	app.Listen(":80")
}
